IBM Support

PH20816: INSTALL OF COMMON JAVA SDK FOR LIBERTY ON Z/OS FAILS WITH CRIMA1161E

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • Installing com.ibm.java.jdk.v8 for Liberty on z/OS fails
    when
    com.ibm.websphere.liberty.IBMJAVA.xx has been installed.
    
    The customer is running Liberty on z/OS and is trying to
    move
    from com.ibm.websphere.liberty.IBMJAVA.xx to the common JAVA
    SDK in order to continue service-updating our WAS and
    Liberty
    environments - as per:
    
    https://www.ibm.com/support/knowledgecenter/SSEQTP_liberty/c
    om.i
    bm.websphere.wlp.nd.multiplatform.doc/ae/twlp_ins_installati
    on_j
    dk.html
    
    Attempting to update Liberty for z/OS v19.0.0.8 filesystem
    with
    the IBM SDK, Java Technology Edition, Version 8 package -
    com.ibm.java.jdk.v8_8.0.5040.20190808_0919 : IBM SDK, Java
    Technology Edition, Version 8 : 8.0.5.40 : com.ibm.sdk.8 :
    zos.s390x fails with:
    
    CRIMA1161E ERROR: Failed to find required installation
    files.
    
    Explanation: Installation Manager did not find required
    installation files from the repository.
    An issue has occurred with the package that cannot be
    resolved
    by Installation Manager.
    
    User Action: If the repository files were transferred from a
    different location before the
    installation, verify that the files were not altered during
    the
    transfer operation. Copy the
    repository files to a different location and inst
    
    ERROR: 'jar file
    com.ibm.was.liberty.generate.java.env_16.0.2.20160420_1650'
    does not exist in
    /tmp/wasv855/R003840/zipped/ibm-java-sdk-8.0-5.40-zos-s390x-
    inst
    allmgr.zip
    (at
    files/com.ibm.was.liberty.generate.java.env_16.0.2.201604)
    
    ERROR: 'jar file
    com.ibm.was.liberty.generate.java.env_16.0.2.20160420_1650'
    does not exist in
    /tmp/wasv855/R003840/zipped/ibm-java-sdk-8.0-5.40-zos-s390x-
    inst
    allmgr.zip
    (at
    files/com.ibm.was.liberty.generate.java.env_16.0.2.201604
    

Local fix

  • install/upgrade Liberty and Java 8 on the same install command
    using:
    install com.ibm.websphere.liberty.zOS.v85 com.ibm.java.jdk.v8
    with liberty fix pack location and Java 8 listed in
    -repositories
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  All users of IBM WebSphere Application      *
    *                  Server Liberty - Install V8 and above       *
    ****************************************************************
    * PROBLEM DESCRIPTION: Installation Manager failed to get      *
    *                      Liberty files while installing IBM Java *
    *                      SDK version 8 (com.ibm.java.jdk.v8) on  *
    *                      Liberty                                 *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    When installing the IBM Java SDK, Installation Manager needs to
    run a bundle to set Liberty default Java properties. This bundle
    is inside Liberty repositories and should be kept in
    Installation Manager Shared data folders after Liberty is
    installed. However, the bundle may not be laid down if the
    Liberty is not installed with IBM Java SDK because the bundle is
    targeted to the IBM Java SDK Shared Unit.
    

Problem conclusion

Temporary fix

Comments

APAR Information

  • APAR number

    PH20816

  • Reported component name

    LIBERTY PROF -

  • Reported component ID

    5655W6514

  • Reported release

    CD0

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2020-01-08

  • Closed date

    2020-01-10

  • Last modified date

    2020-01-22

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    LIBERTY PROF -

  • Fixed component ID

    5655W6514

Applicable component levels

  • RCD0 PSY

       UP

[{"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Product":{"code":"SG19M"},"Platform":[{"code":"PF054","label":"z\/OS"}],"Version":"CD0"}]

Document Information

Modified date:
14 September 2021